Projects Report
curl --request GET \
--url https://api.everhour.com/dashboards/projects \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.everhour.com/dashboards/projects"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.everhour.com/dashboards/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"projectId": "as:123456789012345",
"projectName": "Sample Project",
"projectStatus": "open",
"workspaceId": "as:2345678901234",
"workspaceName": "Team Workspace",
"clientId": 12345,
"clientName": "Awesome Inc.",
"billingType": "hourly",
"time": 7200,
"billableTime": 3600,
"nonBillableTime": 3600,
"timerTimePc": 70,
"billableAmount": 50000,
"billableAmountTime": 40000,
"billableAmountExpenses": 10000,
"costs": 30000,
"costsTime": 20000,
"costsExpenses": 5000,
"profit": 20000,
"profitCosts": 3000,
"uninvoicedAmount": 30000,
"expenses": 17000,
"billableExpenses": 10000,
"separateExpenses": 2000
}
]Reports
Projects Report
GET
/
dashboards
/
projects
Projects Report
Authorizations
Query Parameters
Report start date
Example:
"2020-01-01"
Report end date
Example:
"2021-01-01"
Filter by project ID
Example:
"as:123456789012345"
Filter by client ID
Example:
12345
Filter by user ID
Example:
7890
Response
OK
Example:
"as:123456789012345"
Example:
"Sample Project"
Available options:
open, archived Example:
"open"
Example:
"as:2345678901234"
Example:
"Team Workspace"
Example:
12345
Example:
"Awesome Inc."
Available options:
non_billable, hourly, fixed_fee Example:
"hourly"
Time total
Example:
7200
Example:
3600
Example:
3600
Example:
70
Example:
50000
Example:
40000
Example:
10000
Example:
30000
Example:
20000
Example:
5000
Example:
20000
Example:
3000
Example:
30000
Example:
17000
Example:
10000
Example:
2000
